## com.gargoylesoftware.htmlunit
Class ScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gargoylesoftware.htmlunit.ScriptException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptException

extends java.lang.RuntimeException

An exception that will be thrown if an error occurs during the processing of a script.

Version:
  $Revision: 4402 $
Author:
  Mike Bowler, Marc Guillemot
See Also:
  Serialized Form

Constructor Summary
`ScriptException(HtmlPage page, java.lang.Throwable throwable)` Creates an instance.
`ScriptException(HtmlPage page, java.lang.Throwable throwable, java.lang.String scriptSourceCode)` Creates an instance.

Method Summary
`java.lang.String` `getFailingLine()` Returns the line of source that was being executed when this exception was thrown.
`int` `getFailingLineNumber()` Returns the line number of the source that was executing at the time of the exception.
`HtmlPage` `getPage()` Gets the HTML page in which the script error occurred. Caution: this page may be only partially parsed if the exception occurred in a script executed at parsing time.
`java.lang.String` `getScriptSourceCode()` Returns the source code line that failed.
`void` `printScriptStackTrace(java.io.PrintWriter writer)` Prints the script stack trace.
`void` `printStackTrace()` Prints the stack trace to System.out.
`void` `printStackTrace(java.io.PrintStream stream)` Prints the stack trace.
`void` `printStackTrace(java.io.PrintWriter writer)` Prints the stack trace.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptException

    public ScriptException(HtmlPage page,
                           java.lang.Throwable throwable,
                           java.lang.String scriptSourceCode)

  Creates an instance.

  Parameters:
    `page` - the page in which the script causing this exception was executed
    `throwable` - the exception that was thrown from the script engine
    `scriptSourceCode` - the code that was being executed when this exception was thrown. This may be null if the exception was not caused by execution of JavaScript.

### ScriptException

    public ScriptException(HtmlPage page,
                           java.lang.Throwable throwable)

  Creates an instance.

  Parameters:
    `page` - the page in which the script causing this exception was executed
    `throwable` - the exception that was thrown from the script engine

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace to System.out. If this exception contains another exception then the stack traces for both will be printed.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Prints the stack trace. If this exception contains another exception then the stack traces for both will be printed.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `writer` - Where the stack trace will be written

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Prints the stack trace. If this exception contains another exception then the stack traces for both will be printed.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `stream` - Where the stack trace will be written

### getScriptSourceCode

    public java.lang.String getScriptSourceCode()

  Returns the source code line that failed.

  Returns:
    the source code line that failed

### getFailingLine

    public java.lang.String getFailingLine()

  Returns the line of source that was being executed when this exception was thrown.

  Returns:
    the line of source or an empty string if the exception was not thrown due to the execution of a script.

### getFailingLineNumber

    public int getFailingLineNumber()

  Returns the line number of the source that was executing at the time of the exception.

  Returns:
    the line number or -1 if the exception was not thrown due to the execution of a script.

### getPage

    public HtmlPage getPage()

  Gets the HTML page in which the script error occurred.
  Caution: this page may be only partially parsed if the exception occurred in a script executed at parsing time.

  Returns:
    the page

### printScriptStackTrace

    public void printScriptStackTrace(java.io.PrintWriter writer)

  Prints the script stack trace. This represents only the script calls.

  Parameters:
    `writer` - where the stack trace will be written

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.